Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.usertesttool
Class UTSlider

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.Box
                      scone.usertesttool.UTSlider

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, AllComponents, InputComponent

    public class UTSlider

extends javax.swing.Box
implements InputComponent, AllComponents

UTSlider is a Slider component for scone's user test tool. The Slider is layed out with a label describing its function.

Copyright: Copyright (c) 2004

Company: University of Hamburg, Germany

Version:
  1.0, 04/23/2004
Author:
  Harald Weinreich
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.Box
`javax.swing.Box.AccessibleBox, javax.swing.Box.Filler`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.Box
`accessibleContext`

Fields inherited from class javax.swing.JComponent
`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`UTSlider(UserTestControl utc)` Constructor with standard Size
`UTSlider(UserTestControl utc, java.lang.String description)`
`UTSlider(UserTestControl utc, java.lang.String description, int width)`
`UTSlider(UserTestControl utc, java.lang.String description, int width, boolean enabled)` Set Heading, label and width.

Method Summary
`boolean` | `changedByUser()` This method, called by UserTestControl, tests if an appropriate item was selected.
`void` | `componentRequestFocus()`
`void` | `createSlider()` Show the slider
`java.lang.String` | `getComponentName()`
`java.lang.String` | `getData()` Returns the gathered data, e.g. typed in text or the selected item of a Slider
`void` | `getNextData()` prepares the next data set (if available) to be read out
`java.lang.String` | `getTagName()` Returns the name for the tag of the result file, the data should appear in
`java.lang.String` | `getTimeStamp()` Returns the timeStamp of the last modification by the user
`boolean` | `hasMoreData()` returns true if there is data left, that was not read since startDataQuery()
`void` | `setComponentBottomPadding(int padding)`
`void` | `setComponentEnabled(boolean enable)`
`void` | `setComponentHighlighted(boolean highlight)`
`void` | `setComponentName(java.lang.String componentName)`
`void` | `setDefault(int defaultValue)` This method sets the default value of the slider
`void` | `setDescription(java.lang.String description)` This method adds the Description to the
`void` | `setInputRequired(boolean inputRequired)` setName sets the name of the component.
`void` | `setMajorTickSpacing(int majorTickSpacing)` This method adds major ticks to the slider
`void` | `setMaximum(int maximum)` This method sets the maximum value
`void` | `setMinimum(int minimum)` This method sets the minimum value
`void` | `setMinorTickSpacing(int minorTickSpacing)` This method adds minor ticks to the slider
`void` | `setPaintLabels(boolean paintLabels)` Show the labels to the major ticks?
`void` | `setSnapToTicks(boolean snapToTicks)` Shall the slider snap to the displayed ticks?
`void` | `startDataQuery()` resets the data read out counter.

Methods inherited from class javax.swing.Box
`createGlue, createHorizontalBox, createHorizontalGlue, createHorizontalStrut, createRigidArea, createVerticalBox, createVerticalGlue, createVerticalStrut, getAccessibleContext, setLayout`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UTSlider

    public UTSlider(UserTestControl utc)

  Constructor with standard Size

### UTSlider

    public UTSlider(UserTestControl utc,
                    java.lang.String description)

### UTSlider

    public UTSlider(UserTestControl utc,
                    java.lang.String description,
                    int width)

### UTSlider

    public UTSlider(UserTestControl utc,
                    java.lang.String description,
                    int width,
                    boolean enabled)

  Set Heading, label and width.

Method Detail

### createSlider

    public void createSlider()

  Show the slider

### setComponentEnabled

    public void setComponentEnabled(boolean enable)

  Specified by:
    `setComponentEnabled` in interface `AllComponents`

### setInputRequired

    public void setInputRequired(boolean inputRequired)

  setName sets the name of the component. This name is defined in the xml file as an attribute of the textField tag. This name is used to destinct multiple text fields

  Specified by:
    `setInputRequired` in interface `InputComponent`
  Parameters:
    `name` - The name for the text field

### setDescription

    public void setDescription(java.lang.String description)

  This method adds the Description to the

### setMajorTickSpacing

    public void setMajorTickSpacing(int majorTickSpacing)

  This method adds major ticks to the slider

### setMinorTickSpacing

    public void setMinorTickSpacing(int minorTickSpacing)

  This method adds minor ticks to the slider

### setMinimum

    public void setMinimum(int minimum)

  This method sets the minimum value

### setDefault

    public void setDefault(int defaultValue)

  This method sets the default value of the slider

### setMaximum

    public void setMaximum(int maximum)

  This method sets the maximum value

### setSnapToTicks

    public void setSnapToTicks(boolean snapToTicks)

  Shall the slider snap to the displayed ticks?

### setPaintLabels

    public void setPaintLabels(boolean paintLabels)

  Show the labels to the major ticks?

### componentRequestFocus

    public void componentRequestFocus()

  Specified by:
    `componentRequestFocus` in interface `AllComponents`

### setComponentHighlighted

    public void setComponentHighlighted(boolean highlight)

  Specified by:
    `setComponentHighlighted` in interface `AllComponents`
  Specified by:
    `setComponentHighlighted` in interface `InputComponent`

### changedByUser

    public boolean changedByUser()

  This method, called by UserTestControl, tests if an appropriate item was selected. If inputRequired is true and the selected item is marked as selectable = false then false is returned.

  Specified by:
    `changedByUser` in interface `InputComponent`

### setComponentName

    public void setComponentName(java.lang.String componentName)

  Specified by:
    `setComponentName` in interface `AllComponents`

### setComponentBottomPadding

    public void setComponentBottomPadding(int padding)

  Specified by:
    `setComponentBottomPadding` in interface `AllComponents`

### getComponentName

    public java.lang.String getComponentName()

  Specified by:
    `getComponentName` in interface `AllComponents`

### startDataQuery

    public void startDataQuery()

  resets the data read out counter. The next read out data is the first available

  Specified by:
    `startDataQuery` in interface `InputComponent`

### hasMoreData

    public boolean hasMoreData()

  returns true if there is data left, that was not read since startDataQuery()

  Specified by:
    `hasMoreData` in interface `InputComponent`

### getTagName

    public java.lang.String getTagName()

  Returns the name for the tag of the result file, the data should appear in

  Specified by:
    `getTagName` in interface `InputComponent`

### getData

    public java.lang.String getData()

  Returns the gathered data, e.g. typed in text or the selected item of a Slider

  Specified by:
    `getData` in interface `InputComponent`

### getTimeStamp

    public java.lang.String getTimeStamp()

  Returns the timeStamp of the last modification by the user

  Specified by:
    `getTimeStamp` in interface `InputComponent`

### getNextData

    public void getNextData()

  prepares the next data set (if available) to be read out

  Specified by:
    `getNextData` in interface `InputComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD